<head>
    <meta charset="utf-8">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@200&display=swap" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/style.css">
</head>
<body class="body">

<header class="header menu">
    <a class="header__link" href="/">Home</a>
    <a class="header__link" href="/workers">Workers</a>
</header>

<main class="main content">
    <section class="js-section section">
    </section>
</main>

<footer class="footer">
    <span class="footer__address">Workers.com</span>
</footer>

<script type="module" src="../js/index.js"></script>
<script src="https://cdn.jsdelivr.net/npm/handlebars@latest/dist/handlebars.js"></script>

<script id="worker" type="text/x-handlebars-template">
    <table class="table table_worker">
        <tr class="table__row">
            <th class="table__column table__column_header">Удаление</th>
            <th class="table__column">
                <a href="/workers/{{worker.id}}" class="js-delete-btn table__link">
                    Удалить
                </a>
            </th>
        </tr>
    </table>
</script>


<script id="workerCard" type="text/x-handlebars-template">
    <table class="table">
        <tr class="table__row">
            <th class="table__column">
                <a class="js-list-item__link link" href="/workers/{{worker.id}}">{{worker.id}}</a>
            </th>
            <th class="table__column">{{worker.name}}</th>
            <th class="table__column">{{worker.surname}}</th>
        </tr>
    </table>
</script>

<script type="text/x-handlebars-template" id="workerAddForm">
</script>

<script id="workerUpdateForm" type="text/x-handlebars-template">
    <form action="/workers{{worker.id}}" class="js-update-form form js-form">
        <h1 class="form__head">Редактирование работника:</h1>
        <input
                type="hidden"
                id="update_worker_id"
                class="form__input"
                name="id"
                value="{{worker.id}}"
        >
        <div class="form__field">
            <label for="update_worker_name" class="form__label">Имя:</label>
            <input
                    type="text"
                    value="{{worker.name}}"
                    id="update_worker_name"
                    class="form__input"
                    name="name"
            >
        </div>
        <div class="form__field">
            <label for="update_worker_surname" class="form__label">Фамилия:</label>
            <input
                    type="text"
                    value="{{worker.surname}}"
                    id="update_worker_surname"
                    class="form__input"
                    name="surname"
            >
        </div>
        <div class="form__field">
            <label for="update_worker_position_id" class="form__label">Должность::</label>
            <input
                    type="text"
                    value="{{worker.position_id}}"
                    id="update_worker_position_id"
                    class="form__input"
                    name="position_id"
            >
        </div>
        <div class="form__field">
            <label for="update_worker_birthday" class="form__label">Дата рождения:</label>
            <input
                    type="text"
                    value="{{worker.birthday}}"
                    id="update_worker_birthday"
                    class="form__input"
                    name="birthday"
            >
        </div>
        <div class="form__field">
            <label for="update_worker_head_id" class="form__label">Начальник:</label>
            <input
                    type="text"
                    value="{{worker.head_id}}"
                    id="update_worker_head_id"
                    class="form__input"
                    name="head"
            >
        </div>
        <div class="form__field">
            <label for="update_worker_company_id" class="form__label">Компания:</label>
            <input
                    type="text"
                    value="{{worker.company_id}}"
                    id="update_worker_company_id"
                    class="form__input"
                    name="company"
            >
        </div>
        <div class="form__field">
            <label for="update_worker_login" class="form__label">Логин:</label>
            <input
                    type="text"
                    value="{{worker.login}}"
                    id="update_worker_login"
                    class="form__input"
                    name="login"
            >
        </div>
        <div class="form__field">
            <label for="update_worker_password" class="form__label">Пароль:</label>
            <input
                    type="password"
                    value="{{worker.password}}"
                    id="update_worker_password"
                    class="form__input"
                    name="password"
            >
        </div>
        <button class="form__btn btn" type="submit">Сохранить</button>
    </form>
</script>

</body>
